Upstream information

CVE-2012-2385 at MITRE

Description

The terminal dispatcher in mosh before 1.2.1 allows remote authenticated users to cause a denial of service (long loop and CPU consumption) via an escape sequence with a large repeat count value.

SUSE information

Overall state of this security issue: Ignore

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
No SUSE Bugzilla entries cross referenced.

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 15.0
  • mosh >= 1.3.2-lp150.1.7
Patchnames:
openSUSE Leap 15.0 GA mosh
openSUSE Leap 42.1
  • mosh >= 1.2.5-5.3
Patchnames:
openSUSE Leap 42.1 GA mosh
openSUSE Leap 42.2
  • mosh >= 1.2.5-6.4
Patchnames:
openSUSE Leap 42.2 GA mosh
openSUSE Leap 42.3
  • mosh >= 1.2.5-8.1
Patchnames:
openSUSE Leap 42.3 GA mosh
openSUSE Tumbleweed
  • mosh >= 1.2.5-3.4
Patchnames:
openSUSE Tumbleweed GA mosh